org.scalatest.matchers

# BePropertyMatchResult

#### case class BePropertyMatchResult (matches: Boolean, propertyName: String) extends Product with Serializable

The result of a `Boolean` property match operation, such as one performed by a `BePropertyMatcher`, which contains one field that indicates whether the match succeeded (i.e., the `Boolean` property was `true`) and one field that provides the name of the property.

For an example of a `BePropertyMatchResult` in action, see the documentation for `BePropertyMatcher`.

matches

  indicates whether or not the matcher matched (if the `Boolean` property was true, it was a match)

propertyName

  the name of the `Boolean` property that was matched against

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. BePropertyMatchResult
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BePropertyMatchResult (matches: Boolean, propertyName: String)

   matches

     indicates whether or not the matcher matched (if the `Boolean` property was true, it was a match)

   propertyName

     the name of the `Boolean` property that was matched against

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     BePropertyMatchResult → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      BePropertyMatchResult → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      BePropertyMatchResult → AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### val matches : Boolean

    indicates whether or not the matcher matched (if the `Boolean` property was true, it was a match)

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def productArity : Int

    Definition Classes
      BePropertyMatchResult → Product

20. #### def productElement (arg0: Int): Any

    Definition Classes
      BePropertyMatchResult → Product

21. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

22. #### def productPrefix : String

    Definition Classes
      BePropertyMatchResult → Product

23. #### val propertyName : String

    the name of the `Boolean` property that was matched against

24. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

25. #### def toString (): String

    Definition Classes
      BePropertyMatchResult → AnyRef → Any

26. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any